CF_MONO(3)

FUNCTION
cf_mono - Compute a greyscale colourmap.

SYNOPSIS
#include <karma_cf.h>

void cf_mono

(unsigned int num_cells, unsigned short *reds, unsigned short *greens, unsigned short *blues, unsigned int stride, double x, double y, void *var_param)

DESCRIPTION
Compute a greyscale colourmap.

num_cells
    The number of colour cells to modify.

reds
    The red intensity values. This may be NULL.

greens
    The green intensity values. This may be NULL.

blues
    The blue intensity values. This may be NULL.

stride
    The stride (in unsigned shorts) between intensity values.

x   A parameter used to compute the colour values, ranging from 0.0 to 1.0.

y   A parameter used to compute the colour values, ranging from 0.0 to 1.0.

var_param
    A parameter used to compute the colour values. Ignored.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/